Google は、黒人コミュニティに対する人種平等の促進に取り組んでいます。取り組みを見る

Android のセキュリティに関する公開情報 - 2021 年 10 月

2021 年 10 月 4 日公開 | 2021 年 10 月 6 日更新

Android のセキュリティに関する公開情報には、Android デバイスに影響を与えるセキュリティの脆弱性の詳細を掲載しています。セキュリティ パッチレベル 2021-10-05 以降では、下記のすべての問題に対処しています。デバイスのセキュリティ パッチレベルを確認するには、Android のバージョンを確認して更新する方法をご覧ください。

Android パートナーには、情報公開の 1 か月前までにすべての問題が通知されます。Android オープンソース プロジェクト(AOSP)のリポジトリに、下記の問題に対するソースコードのパッチをリリースしています。また、この公開情報では、これらのパッチへのリンクに加え、AOSP 以外のパッチへのリンクも掲載しています。

下記の問題のうち最も重大度の高いものは、システム コンポーネントで発見された重大なセキュリティの脆弱性です。細工した通信により、特権プロセス内で任意コードをリモートで実行される危険性があります。重大度の評価は、攻撃対象のデバイスでその脆弱性が悪用された場合の影響に基づくもので、プラットフォームやサービスでのリスク軽減策が開発目的または不正な回避により無効となっていることを前提としています。

Android セキュリティ プラットフォームの保護や Google Play プロテクトについて詳しくは、Android と Google サービスでのリスク軽減策をご覧ください。こうした保護により、Android プラットフォームのセキュリティが改善されます。

Android と Google サービスでのリスク軽減策

ここでは、Android セキュリティ プラットフォームの保護と Google Play プロテクトのようなサービスの保護によるリスクの軽減について概説します。こうした機能は、Android でセキュリティの脆弱性が悪用される可能性を減らすものです。

  • Android 上の多くの問題の悪用は、Android プラットフォームの最新版で機能が強化されるほど困難になります。Google では、すべてのユーザーに対し、できる限り最新バージョンの Android に更新することをおすすめしています。
  • Android セキュリティ チームは、Google Play プロテクトによって脆弱性の悪用を積極的に監視しており、有害な可能性があるアプリについてユーザーに警告しています。Google Play プロテクトは、Google モバイル サービスを搭載したデバイスではデフォルトで有効になっており、Google Play 以外からアプリをインストールするユーザーにとっては特に重要です。

セキュリティ パッチレベル 2021-10-01 の脆弱性の詳細

以下に、パッチレベル 2021-10-01 に該当するセキュリティ脆弱性の各項目の詳細を示します。脆弱性は、影響を受けるコンポーネントごとに分類しています。 下記の表に、問題の内容について説明し、CVE ID、関連する参照先、脆弱性のタイプ重大度、更新対象の AOSP バージョン(該当する場合)を示します。 問題の対処法として一般公開されている変更内容(AOSP の変更の一覧など)が参照可能な場合は、バグ ID の欄にその情報へのリンクがあります。 複数の変更が同じバグに関係する場合は、バグ ID の後に続く番号で、追加の参照先へのリンクを示します。 Android 10 以降を搭載したデバイスは、セキュリティ アップデートと Google Play システム アップデートを受信することがあります。

Android ランタイム

Android ランタイムの脆弱性により、デバイスに物理的にアクセスできるローカルの攻撃者が、追加権限を取得するために任意のコードを実行するおそれがあります。
CVE 参照 タイプ 重大度 更新対象の AOSP バージョン
CVE-2021-0703 A-184569329 EoP 11

フレームワーク

カーネル コンポーネントの最も重大な脆弱性により、悪意のあるローカルアプリによって特権プロセス内で任意のコードが実行されるおそれがあります。

CVE 参照 タイプ 重大度 更新対象の AOSP バージョン
CVE-2021-0652 A-185178568 EoP 8.1、9、10、11
CVE-2021-0705 A-185388103 EoP 10、11
CVE-2021-0708 A-183262161 EoP 8.1、9、10、11
CVE-2020-15358 A-192605364 ID 11
CVE-2021-0702 A-193932765 ID 11
CVE-2021-0651 A-67013844 DoS 9、10、11

メディア フレームワーク

メディア フレームワークの脆弱性により、悪意のあるローカルアプリによって特権プロセス内で任意のコードが実行されるおそれがあります。
CVE 参照 タイプ 重大度 更新対象の AOSP バージョン
CVE-2021-0483 A-153358911 [2] EoP 10、11

システム

システムの最も重大な脆弱性により、ローカルの攻撃者が特権アクセスで機密データにアクセスするおそれがあります。
CVE 参照 タイプ 重大度 更新対象の AOSP バージョン
CVE-2021-0643 A-183612370 [2] ID 10、11
CVE-2021-0706 A-193444889 DoS 8.1、9、10、11

Google Play システム アップデート

今月は Google Play システム アップデート(プロジェクト Mainline)で対処されたセキュリティ問題はありません。

セキュリティ パッチレベル 2021-10-05 の脆弱性の詳細

以下に、パッチレベル 2021-10-05 に該当するセキュリティ脆弱性の各項目の詳細を示します。脆弱性は、影響を受けるコンポーネントごとに分類しています。 下記の表に、問題の内容について説明し、CVE ID、関連する参照先、脆弱性のタイプ重大度、更新対象の AOSP バージョン(該当する場合)を示します。 問題の対処法として一般公開されている変更内容(AOSP の変更の一覧など)が参照可能な場合は、バグ ID の欄にその情報へのリンクがあります。 複数の変更が同じバグに関係する場合は、バグ ID の後に続く番号で、追加の参照先へのリンクを示します。

システム

システムの脆弱性により、リモートの攻撃者が特別に細工した通信を使用して、特権プロセス内で任意のコードを実行するおそれがあります。
CVE 参照 タイプ 重大度 更新対象の AOSP バージョン
CVE-2021-0870 A-192472262 RCE 重大 8.1、9、10、11

カーネル コンポーネント

カーネル コンポーネントの最も重大な脆弱性により、ローカルの攻撃者が特権プロセス内で任意のコードを実行するおそれがあります。
CVE 参照 タイプ 重大度 コンポーネント
CVE-2020-29660 A-175451844
アップストリーム カーネル
EoP TTY
CVE-2020-10768 A-169505929
アップストリーム カーネル
ID i86 Spectre v2 に対する保護
CVE-2021-29647 A-184622099
アップストリーム カーネル
ID Qualcomm IPC ルーターのサポート

通信

通信の脆弱性により、追加の実行権限を必要とすることなく、リモートで情報が漏えいするおそれがあります。
CVE 参照 タイプ 重大度 コンポーネント
CVE-2021-27666 A-180401789 * ID モデム

Qualcomm コンポーネント

Qualcomm コンポーネントに影響する脆弱性は次のとおりです。詳細については、該当する Qualcomm のセキュリティに関する公開情報やセキュリティ アラートをご覧ください。 これらの問題の重大度の評価は、Qualcomm から直接提供されたものです。

CVE 参照 重大度 コンポーネント
CVE-2020-11264
A-175608649
QC-CR#2860206 [2]
重大 WLAN
CVE-2020-11301
A-179929247
QC-CR#2860198 *
QC-CR#2867022 [2] [3]
重大 WLAN
CVE-2020-24587
A-175626671
QC-CR#2860131
QC-CR#2868012 *
QC-CR#2875946 [2]
QC-CR#2875950
QC-CR#2874366
WLAN
CVE-2020-24588
A-175626624
QC-CR#2866467 *
QC-CR#2867578 *
QC-CR#2867994
QC-CR#2868616 *
QC-CR#2877094 *
QC-CR#2879013 *
QC-CR#2883162 *
QC-CR#2886422 *
QC-CR#2888466 *
QC-CR#2890623 *
QC-CR#2896070 *
QC-CR#2896369 *
QC-CR#2861800 [2] [3] [4] [5]
QC-CR#2943860 *
WLAN
CVE-2020-26139
A-177911151
QC-CR#2860248
QC-CR#2868054
QC-CR#2888227
QC-CR#2888467
QC-CR#2942096
QC-CR#2943789 [2] [3] [4] [5]
QC-CR#2867013 *
WLAN
CVE-2020-26141
A-177911676
QC-CR#2869483
WLAN
CVE-2020-26145
A-177910901
QC-CR#2860245
QC-CR#2868035 *
QC-CR#2893212
WLAN
CVE-2020-26146
A-175626808
QC-CR#2860242
QC-CR#2874369
WLAN
CVE-2021-1977
A-193070701
QC-CR#2859024 [2]
WLAN
CVE-2021-1980
A-190404330
QC-CR#2873394
WLAN
CVE-2021-30305
A-193070437
QC-CR#2913910
ディスプレイ
CVE-2021-30306
A-193071117
QC-CR#2915692
音声
CVE-2021-30312
A-193070595
QC-CR#2948107 [2]
WLAN

Qualcomm クローズドソース コンポーネント

Qualcomm クローズドソース コンポーネントに影響する脆弱性は次のとおりです。詳細については、該当する Qualcomm のセキュリティに関する公開情報やセキュリティ アラートをご覧ください。 これらの問題の重大度の評価は、Qualcomm から直接提供されたものです。

CVE 参照 重大度 コンポーネント
CVE-2020-11303
A-193070323 * クローズドソース コンポーネント
CVE-2020-26140
A-177911345 * クローズドソース コンポーネント
CVE-2020-26147
A-177910719 * クローズドソース コンポーネント
CVE-2021-1913
A-184561641 * クローズドソース コンポーネント
CVE-2021-1917
A-184561580 * クローズドソース コンポーネント
CVE-2021-1932
A-184561562 * クローズドソース コンポーネント
CVE-2021-1936
A-184561359 * クローズドソース コンポーネント
CVE-2021-1949
A-184561794 * クローズドソース コンポーネント
CVE-2021-1959
A-184561776 * クローズドソース コンポーネント
CVE-2021-1983
A-190402581 * クローズドソース コンポーネント
CVE-2021-1984
A-190403732 * クローズドソース コンポーネント
CVE-2021-1985
A-190404406 * クローズドソース コンポーネント
CVE-2021-30256
A-190404960 * クローズドソース コンポーネント
CVE-2021-30257
A-190403214 * クローズドソース コンポーネント
CVE-2021-30258
A-190404449 * クローズドソース コンポーネント
CVE-2021-30288
A-193069567 * クローズドソース コンポーネント
CVE-2021-30291
A-190404407 * クローズドソース コンポーネント
CVE-2021-30292
A-190404329 * クローズドソース コンポーネント
CVE-2021-30297
A-190403733 * クローズドソース コンポーネント
CVE-2021-30302
A-193070343 * クローズドソース コンポーネント
CVE-2021-30310
A-193070558 * クローズドソース コンポーネント

一般的な質問と回答

上記の公開情報に対する一般的な質問とその回答は以下のとおりです。

1. 上記の問題に対処するようにデバイスが更新されているかどうかを確かめるには、どうすればよいですか?

デバイスのセキュリティ パッチレベルを確認するには、Android のバージョンを確認して更新する方法をご覧ください。

  • セキュリティ パッチレベル 2021-10-01 以降では、セキュリティ パッチレベル 2021-10-01 に関連するすべての問題に対処しています。
  • セキュリティ パッチレベル 2021-10-05 以降では、セキュリティ パッチレベル 2021-10-05、およびそれ以前のすべてのパッチレベルに関連するすべての問題に対処しています。

デバイス メーカーは、こうしたアップデートを組み込む場合、パッチレベル文字列を以下のとおり設定する必要があります。

  • [ro.build.version.security_patch]:[2021-10-01]
  • [ro.build.version.security_patch]:[2021-10-05]

Android 10 以降を搭載した一部のデバイスでは、Google Play システム アップデートに、セキュリティ パッチレベル 2021-10-01 と一致する日付文字列が含まれます。セキュリティ アップデートのインストール方法について詳しくは、こちらの記事をご覧ください。

2. この公開情報に 2 つのセキュリティ パッチレベルがあるのはなぜですか?

この公開情報では、2 つのセキュリティ パッチレベルを定義しています。これは、すべての Android デバイスにまたがる同様の脆弱性をひとまとめにして、Android パートナーが迅速かつ柔軟に修正できるようにするためです。Android パートナーは、この公開情報に掲載されている問題をすべて修正し、最新のセキュリティ パッチレベルを使用することが推奨されています。

  • 2021-10-01 のセキュリティ パッチレベルを使用するデバイスには、そのセキュリティ パッチレベルに関連するすべての問題と、それ以前のセキュリティに関する公開情報で報告されたすべての問題の修正を含める必要があります。
  • 2021-10-05 以降のセキュリティ パッチレベルを使用するデバイスには、今回(およびそれ以前)のセキュリティに関する公開情報に掲載された、該当するすべてのパッチを組み込む必要があります。

パートナーは、対処するすべての問題の修正を 1 つのアップデートにまとめて提供することが推奨されています。

3. 「タイプ」列の項目はどういう意味ですか?

脆弱性の詳細の表で「タイプ」列に記載した項目は、セキュリティの脆弱性の分類を示しています。

略語 定義
RCE リモートコード実行
EoP 権限昇格
ID 情報開示
DoS サービス拒否
なし 該当する分類なし

4. 「参照」列の項目はどういう意味ですか?

脆弱性の詳細の表で「参照」列に記載した項目には、その参照番号が属する組織を示す接頭辞が含まれる場合があります。

接頭辞 参照
A- Android バグ ID
QC- Qualcomm の参照番号
M- MediaTek の参照番号
N- NVIDIA の参照番号
B- Broadcom の参照番号
U- UNISOC の参照番号

5. 「参照」列の Android バグ ID の横にある「*」はどういう意味ですか?

公開されていない問題には、対応する参照 ID の横に「*」を付けています。この問題のアップデートは、Google デベロッパー サイトから入手できる Pixel デバイス用最新バイナリ ドライバに通常含まれています。

6. セキュリティの脆弱性が、この公開情報とデバイスやパートナーのセキュリティに関する公開情報(Pixel のセキュリティに関する公開情報など)に分けられているのはなぜですか?

Android デバイスの最新のセキュリティ パッチレベルを宣言するためには、このセキュリティに関する公開情報に掲載されているセキュリティの脆弱性への対処が必要となります。それ以外の、デバイスやパートナーのセキュリティに関する公開情報に掲載されているセキュリティの脆弱性への対処は必須ではありません。また、Android デバイスやチップセットのメーカー(GoogleHuaweiLGEMotorolaNokiaSamsung など)からも、各社製品に固有のセキュリティの脆弱性に関する詳細情報が公開される場合があります。

バージョン

バージョン 日付 メモ
1.0 2021 年 10 月 4 日 情報公開
1.1 2021 年 10 月 6 日 公開情報を改訂
1.2 2021 年 10 月 11 日 CVE の表を改訂